## python-pam 0.4.2

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/PyPAM
pkglibdir = $(libdir)/PyPAM
pkgincludedir = $(includedir)/PyPAM

top_builddir = .

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = gcc
MAKEINFO = makeinfo
OPT = -g -O2
PACKAGE = PyPAM
PYTHON = python
PYTHON_CFLAGS = -fpic $(OPT)
PYTHON_INCLUDES = -I/usr/include/python1.5 -I/usr/lib/python1.5/config
PYTHON_LINK = gcc -shared -o $@
SO = .so
VERSION = 0.4.0
pyexecdir = /usr/lib/python1.5/site-packages
pythondir = /usr/lib/python1.5/site-packages

SHELL = /bin/bash

EXTRA_DIST = PyPAM.spec

INCLUDES = $(PYTHON_INCLUDES) $(PYTHON_CFLAGS)

pyexec_PROGRAMS = PAMmodule$(SO)
PAMmodule__SO__SOURCES = PAMmodule.c
PAMmodule__SO__LDADD = -lpam -lpam_misc
PAMmodule__SO__LINK = $(PYTHON_LINK)
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(pyexec_PROGRAMS)


DEFS =  -DPACKAGE=1 -DVERSION=1  -I. -I$(srcdir) 
CPPFLAGS = 
LDFLAGS = 
LIBS = 
PAMmodule__SO__OBJECTS =  PAMmodule.o
PAMmodule__SO__DEPENDENCIES = 
PAMmodule__SO__LDFLAGS = 
CFLAGS = 
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
Makefile.in NEWS aclocal.m4 configure configure.in install-sh missing \
mkinstalldirs py-compile


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/PAMmodule.P
SOURCES = $(PAMmodule__SO__SOURCES)
OBJECTS = $(PAMmodule__SO__OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

mostlyclean-pyexecPROGRAMS:

clean-pyexecPROGRAMS:
	-test -z "$(pyexec_PROGRAMS)" || rm -f $(pyexec_PROGRAMS)

distclean-pyexecPROGRAMS:

maintainer-clean-pyexecPROGRAMS:

install-pyexecPROGRAMS: $(pyexec_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pyexecdir)
	@list='$(pyexec_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(pyexecdir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(pyexecdir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-pyexecPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(pyexec_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(pyexecdir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

PAMmodule$(SO): $(PAMmodule__SO__OBJECTS) $(PAMmodule__SO__DEPENDENCIES)
	@rm -f PAMmodule$(SO)
	$(PAMmodule__SO__LINK) $(PAMmodule__SO__LDFLAGS) $(PAMmodule__SO__OBJECTS) $(PAMmodule__SO__LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) dist
	-rm -rf $(distdir)
	@banner="$(distdir).tar.gz is ready for distribution"; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-pyexecPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-pyexecPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(pyexecdir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-pyexecPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-pyexecPROGRAMS clean-compile clean-tags clean-depend \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-pyexecPROGRAMS distclean-compile distclean-tags \
		distclean-depend distclean-generic clean-am

distclean: distclean-am
	-rm -f config.status

maintainer-clean-am:  maintainer-clean-pyexecPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-depend maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am
	-rm -f config.status

.PHONY: mostlyclean-pyexecPROGRAMS distclean-pyexecPROGRAMS \
clean-pyexecPROGRAMS maintainer-clean-pyexecPROGRAMS \
uninstall-pyexecPROGRAMS install-pyexecPROGRAMS mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile tags \
mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir mostlyclean-depend distclean-depend clean-depend \
maintainer-clean-depend info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
python-pam (0.4.2-19build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:05:50 +0000

python-pam (0.4.2-19build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:07:11 +0000

python-pam (0.4.2-19build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:02:32 +0100

python-pam (0.4.2-19) unstable; urgency=medium

  * d/control: Bump standards version to 4.7.0 from 4.6.2.
  * d/patches: Fix FTBFS with Python 3.13 (Closes: #1081471).

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Mon, 16 Sep 2024 19:17:56 +0300

python-pam (0.4.2-18) unstable; urgency=medium

  * d/salsa-ci.yml: Add salsa pipeline.
  * d/tests: Add autopkgtest.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Thu, 24 Aug 2023 17:41:24 +0300

python-pam (0.4.2-17) unstable; urgency=medium

  * d/changelog: Remove trailing whitespace
  * d/compat: Removed, replaced by debhelper-compat
  * d/control: Bump standards version to 4.6.2 from 4.5.0
               Set Rules-Requires-Root to no
               Add debhelper-compat and python3-setuptools to Build-Depends
               New maintainer (Closes: #1012000)
               Add Vcs-Git and Vcs-Browser
               Remove debhelper from Build-Depends
               Replace python3-all-dev with libpython3-all-dev and
                 python3-all-dev:any
  * d/source/lintian-overrides: Ignore warnings related to upstream, since
    it does not exist
  * d/rules: Enable hardening
             Remove --with python, replace with dh-sequence-python3 in d/control
             Remove override_dh_clean, replace with d/clean
             Remove override_dh_installdocs, d/docs already exists
             Remove PYBUILD_DESTDIR_python3, replace with PYBUILD_NAME=pam
  * d/patches/replace_python_distutils_with_setuptools.patch: Replace deprecated
    python distutils with setuptools
  * d/patches/fix_unusual_interpreter.patch: Change interpreter to
    /usr/bin/python3 from usr/bin/env python
  * d/clean: Replaces override_dh_clean in d/rules
  * d/copyright: Add missing entries for debian/* (added myself) and missing
    copyright holder Benjamin Poussin for all files

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Thu, 27 Jul 2023 22:08:11 +0300

python-pam (0.4.2-16) unstable; urgency=medium

  * QA upload.
  * Add d/patches/python3.11-ftbfs.patch: use Py_SET_TYPE to fix FTBFS with
    Python 3.11. (Closes: #1023902)
  * Add d/patches/pamtest-python3-port.patch to port pamtest.py to Python 3.
  * Add d/patches/pamtest-fix-constants.patch to fix constant names in
    pamtest.py. Thanks Wolfgang Schnerring! (Closes: #487510)
  * Set debhelper compatibility level to 13.

 -- Emanuele Rocca <ema@debian.org>  Thu, 17 Nov 2022 14:02:44 +0100

python-pam (0.4.2-15) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1012000)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 08:09:11 -0300

python-pam (0.4.2-14) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007638).

 -- Bastian Germann <bage@debian.org>  Thu, 25 Aug 2022 21:44:36 +0200

python-pam (0.4.2-13.4) unstable; urgency=medium

  * Non-maintainer upload.
  * python3 port. Closes: #680148.
  * Stop building the python2 package. Closes: #937996.
  * packaging using dh, dh-python, pybuild and -dbg builds.
  * Bump debhelper version. Closes: #965790.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Nov 2020 12:18:26 +0100

python-pam (0.4.2-13.3) unstable; urgency=medium

  * No-change rebuild to generate dependencies on python2.
    Closes: #966781, #67203.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Aug 2020 22:11:37 +0200

python-pam (0.4.2-13.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #786291.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Aug 2015 19:00:37 +0200

python-pam (0.4.2-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Change X-Python-Version to >= 2.6 to not explicitly
    request Python 2.6. (Closes: #707531)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Jul 2013 02:38:29 +0200

python-pam (0.4.2-13) unstable; urgency=high

  * Acknowledged NMUs
  * Fixed a security vulnerability in PyPAM_conv
    (thanks Markus Vervier <markus.vervier@lsexperts.de>
    for the report and the patch)

 -- Dima Barsky <dima@debian.org>  Tue, 06 Mar 2012 21:48:38 +0000

python-pam (0.4.2-12.3) unstable; urgency=low

  * Non-maintainer upload.
  * Use python-support (closes: #620283).
    + Add build-dependency on python-support.
    + In debian/rules, replace call to dh_python with dh_pysupport.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 08 Apr 2011 21:08:10 +0200

python-pam (0.4.2-12.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove build-dependency on python2.5-dev. Closes: #596314.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Sep 2010 15:37:47 +0200

python-pam (0.4.2-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Prepare for the upcoming Python 2.6 transition; thanks to Piotr Ożarowski
    for the bug report and to Kumar Appaiah for the patch; Closes: #556162
    - debian/rules
      + optionally include python.mk, add $(py_setup_install_args) and
        --prefix=/usr when installing

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Nov 2009 21:36:54 +0100

python-pam (0.4.2-12) unstable; urgency=low

  * Added Build-Depends: python2.5-dev (Closes: #415377)

 -- Dima Barsky <dima@debian.org>  Mon, 19 Mar 2007 15:51:05 +0000

python-pam (0.4.2-11) unstable; urgency=low

  * Acknowledged NMUs
  * Added 2.5 support (thanks to Harro Verkouter <verkouter@jive.nl>)



=== debian/control ===
Source: python-pam
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
	dh-sequence-python3,
	libpython3-all-dev,
	python3-all-dev:any,
	python3-setuptools,
	libpam0g-dev,
	dh-python
Maintainer: Ileana Dumitrescu <ileanadumitrescu95@gmail.com>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/python-pam.git
Vcs-Browser: https://salsa.debian.org/debian/python-pam

Package: python3-pam
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python3-pam-dbg
Description: Python interface to the PAM library
 This module makes the PAM (Pluggable Authentication Modules) functions
 available in Python 3. With this module you can write Python 3 applications
 that implement authentication services using PAM.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=pam

%:
	dh $@ --buildsystem=pybuild

## python-pam 0.4.2-10.1

=== debian/control ===
Source: python-pam
Section: python
Priority: optional
Build-Depends: debhelper (>> 4.1.67), python2.1-dev, python2.2-dev, python2.3-dev, python, libpam0g-dev
Maintainer: Dima Barsky <dima@debian.org>
Standards-Version: 3.6.0

Package: python-pam
Architecture: all
Depends: ${python:Depends}
Description: A Python interface to the PAM library
 This is a dummy package which depends on the python-pam module for the
 default version of Python.

Package: python2.1-pam
Architecture: any
Depends: python2.1, ${shlibs:Depends}
Description: A Python interface to the PAM library
 This module makes the PAM (Pluggable Authentication Modules) functions
 available in Python. With this module you can write Python applications
 that implement authentication services using PAM.

Package: python2.2-pam
Architecture: any
Conflicts: python-pam (<=0.4.2-6)
Depends: python2.2, ${shlibs:Depends}
Description: A Python interface to the PAM library
 This module makes the PAM (Pluggable Authentication Modules) functions
 available in Python. With this module you can write Python applications
 that implement authentication services using PAM.

Package: python2.3-pam
Architecture: any
Depends: python2.3, ${shlibs:Depends}
Description: A Python interface to the PAM library
 This module makes the PAM (Pluggable Authentication Modules) functions
 available in Python. With this module you can write Python applications
 that implement authentication services using PAM.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

versions=$(subst -dev,,\
           $(subst python,,\
             $(filter python%-dev,\
               $(shell sed -n '/^Build-Depends/s/,//gp' debian/control))))

DEFAULT=2.2

build: build-stamp
build-stamp:
	dh_testdir
	for version in $(versions); \
		do python$$version setup.py build; \
	done
	touch build-stamp

clean:
	dh_testdir
	for version in $(versions); \
		do python$$version setup.py clean; \
	done
	rm -rf build-stamp build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	for version in $(versions); \
		do python$$version setup.py install --prefix=debian/python$$version-pam/usr; \
	done

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i AUTHORS README
	dh_installchangelogs -i ChangeLog
	dh_compress -i
	dh_fixperms -i
	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a -A AUTHORS README
	dh_installexamples -a -A examples/*
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_python -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## python-pam 0.4.2-10.1ubuntu3

=== debian/changelog ===
python-pam (0.4.2-10.1ubuntu3) hoary; urgency=low

  * Don't build python2.1, python2.2 packages.

 -- Matthias Klose <m@klose.in-berlin.de>  Thu, 13 Jan 2005 07:42:28 +0100

python-pam (0.4.2-10.1ubuntu2) hoary; urgency=low

  * Tighten build dependency on python.

 -- Matthias Klose <m@klose.in-berlin.de>  Thu, 16 Dec 2004 22:47:11 +0100

python-pam (0.4.2-10.1ubuntu1) hoary; urgency=low

  * Support python2.4 as default python version.

 -- Matthias Klose <m@klose.in-berlin.de>  Wed, 15 Dec 2004 22:34:04 +0100

=== debian/control ===
Source: python-pam
Section: python
Priority: optional
Build-Depends: debhelper (>> 4.2.28), python2.4-dev, python2.3-dev, python (>= 2.4), libpam0g-dev
Maintainer: Dima Barsky <dima@debian.org>
Standards-Version: 3.6.0

Package: python-pam
Architecture: all
Depends: ${python:Depends}
Description: A Python interface to the PAM library
 This is a dummy package which depends on the python-pam module for the
 default version of Python.

Package: python2.3-pam
Architecture: any
Depends: python2.3, ${shlibs:Depends}
Description: A Python interface to the PAM library
 This module makes the PAM (Pluggable Authentication Modules) functions
 available in Python. With this module you can write Python applications
 that implement authentication services using PAM.

Package: python2.4-pam
Architecture: any
Depends: python2.4, ${shlibs:Depends}
Description: A Python interface to the PAM library
 This module makes the PAM (Pluggable Authentication Modules) functions
 available in Python. With this module you can write Python applications
 that implement authentication services using PAM.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
              $(filter python%-dev,\
                $(shell sed -n '/^Build-Depends/s/,//gp' debian/control))))
 
-DEFAULT=2.2
+DEFAULT=2.4
 
 build: build-stamp
 build-stamp:

## python-pam 0.4.2-10.1ubuntu4

=== debian/changelog ===
python-pam (0.4.2-10.1ubuntu4) dapper; urgency=low

  * Drop python2.3 package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Feb 2006 15:04:32 +0000

=== debian/control ===
Source: python-pam
Section: python
Priority: optional
Build-Depends: debhelper (>> 4.2.28), python2.4-dev, python (>= 2.4), libpam0g-dev
Maintainer: Dima Barsky <dima@debian.org>
Standards-Version: 3.6.0

Package: python-pam
Architecture: all
Depends: ${python:Depends}
Description: A Python interface to the PAM library
 This is a dummy package which depends on the python-pam module for the
 default version of Python.

Package: python2.4-pam
Architecture: any
Depends: python2.4, ${shlibs:Depends}
Description: A Python interface to the PAM library
 This module makes the PAM (Pluggable Authentication Modules) functions
 available in Python. With this module you can write Python applications
 that implement authentication services using PAM.

## python-pam 0.4.2-10.4

=== debian/control ===
Source: python-pam
Section: python
Priority: optional
Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), libpam0g-dev
Maintainer: Dima Barsky <dima@debian.org>
Standards-Version: 3.6.0

Package: python-pam
Architecture: any
Depends: ${python:Depends}
Conflicts: python2.3-pam, python2.4-pam
Replaces: python2.3-pam, python2.4-pam
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: A Python interface to the PAM library
 This module makes the PAM (Pluggable Authentication Modules) functions
 available in Python. With this module you can write Python applications
 that implement authentication services using PAM.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

PYVERS=$(shell pyversions -r)

build: build-stamp
build-stamp:
	dh_testdir
	for python in $(PYVERS); \
		do $$python setup.py build; \
	done
	touch build-stamp

clean:
	dh_testdir
	for python in $(PYVERS); \
		do $$python setup.py clean; \
	done
	rm -rf build-stamp build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	for python in $(PYVERS); \
		do $$python setup.py install --root=debian/python-pam; \
	done

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a -A AUTHORS README
	dh_installexamples -a -A examples/*
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	#dh_pycentral is not needed as we don't have .py files (only a .so)
	#dh_pycentral -a
	dh_python -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## python-pam 0.4.2-10.4build0.1

=== debian/changelog ===
python-pam (0.4.2-10.4build0.1) edgy-updates; urgency=low

  * No-change upload into edgy-updates, thanks to Michael Vogt for testing!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 02 May 2007 17:16:11 +0200

python-pam (0.4.2-10.4build0.1~proposed1) edgy-proposed; urgency=low

  * SRU: Rebuild (LP: #69967, #84732)

 -- Laurent Bigonville <bigon@bigon.be>  Mon, 12 Feb 2007 16:50:30 +0100

## python-pam 0.4.2-10.4ubuntu2

=== debian/changelog ===
python-pam (0.4.2-10.4ubuntu2) feisty; urgency=low

  * Add a build dependency on python-central.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Feb 2007 13:10:15 +0100

python-pam (0.4.2-10.4ubuntu1) feisty; urgency=low

  * Build the extension for the debug interpreter.
    - Build-depend on python-all-dbg (>= 2.5-0ubuntu5)
    - debian/control: New package python-pam-dbg, priority extra.
    - debian/control: python-pam: Suggest python-pam-dbg.
    - debian/rules: Build the extension with the python debug interpreter.
    - debian/rules: python-pam-dbg: symlink to python-pam's docdir.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Feb 2007 02:04:09 +0100

python-pam (0.4.2-10.4build1) feisty; urgency=low

  * Rebuild. Ubuntu #69967.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Feb 2007 14:45:03 +0100

=== debian/control ===
Source: python-pam
Section: python
Priority: optional
Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-all-dbg (>= 2.5-0ubuntu5), python-central (>= 0.5), libpam0g-dev
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dima Barsky <dima@debian.org>
Standards-Version: 3.7.2
XS-Python-Version: all

Package: python-pam
Architecture: any
Depends: ${python:Depends}
Conflicts: python2.3-pam, python2.4-pam
Replaces: python2.3-pam, python2.4-pam
Provides: ${python:Provides}
Suggests: python-pam-dbg
XB-Python-Version: ${python:Versions}
Description: A Python interface to the PAM library
 This module makes the PAM (Pluggable Authentication Modules) functions
 available in Python. With this module you can write Python applications
 that implement authentication services using PAM.

Package: python-pam-dbg
Priority: extra
Architecture: any
Depends: python-pam (= ${Source-Version}), python-dbg
Description: A Python interface to the PAM library (debug extension)
 This module makes the PAM (Pluggable Authentication Modules) functions
 available in Python. With this module you can write Python applications
 that implement authentication services using PAM.
 .
 This package contains the extension built for the python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

PYVERS=$(shell pyversions -r)

build: build-stamp
build-stamp:
	dh_testdir
	set -e; \
	for python in $(PYVERS); do \
		$$python setup.py build; \
		$$python-dbg setup.py build; \
	done
	touch build-stamp

clean:
	dh_testdir
	set -e; \
	for python in $(PYVERS); do \
		$$python setup.py clean; \
		$$python-dbg setup.py clean; \
	done
	rm -rf build-stamp build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	set -e; \
	for python in $(PYVERS); do \
		$$python setup.py install --root=debian/python-pam; \
		$$python-dbg setup.py install --root=debian/python-pam-dbg; \
	done
	find debian/python-pam-dbg ! -type d ! -name '*_d.so' | xargs rm -f

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a AUTHORS README
	dh_installexamples -a examples/*
	dh_installchangelogs -a ChangeLog
	rm -rf debian/python-pam-dbg/usr/share/doc/python-pam-dbg
	ln -sf python-pam debian/python-pam-dbg/usr/share/doc/python-pam-dbg
	dh_strip -a -Npython-pam-dbg --dbg-package=python-pam-dbg
	dh_compress -a
	dh_fixperms -a
	#dh_pycentral is needed to set the dependency on python
	dh_pycentral -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## python-pam 0.4.2-12ubuntu1

=== debian/changelog ===
python-pam (0.4.2-12ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build the extension for the debug interpreter.
      - Build-depend on python-all-dbg (>= 2.5-0ubuntu5)
      - debian/control: New package python-pam-dbg, priority extra.
      - debian/control: python-pam: Suggest python-pam-dbg.
      - debian/rules: Build the extension with the python debug interpreter.
      - debian/rules: python-pam-dbg: symlink to python-pam's docdir.
    - Set Ubuntu maintainer address.

 -- Andrew Mitchell <ajmitch@ubuntu.com>  Wed, 23 May 2007 13:11:15 +1200

## python-pam 0.4.2-12ubuntu2

=== debian/changelog ===
python-pam (0.4.2-12ubuntu2) hardy; urgency=low

  * Rebuild with recent python-central.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Mar 2008 12:47:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-pam
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-all-dbg (>= 2.5-0ubuntu5), python-central (>= 0.5), libpam0g-dev
+Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-all-dbg (>= 2.5-0ubuntu5), python-central (>= 0.5), python2.5-dev, libpam0g-dev
 Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dima Barsky <dima@debian.org>
 Standards-Version: 3.7.2
@@ -9,7 +9,7 @@
 
 Package: python-pam
 Architecture: any
-Depends: ${python:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}
 Conflicts: python2.3-pam, python2.4-pam
 Replaces: python2.3-pam, python2.4-pam
 Provides: ${python:Provides}

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=5
 
-PYVERS=$(shell pyversions -r)
+PYVERS=$(shell pyversions -r) python2.5
 
 build: build-stamp
 build-stamp:

## python-pam 0.4.2-12ubuntu3

=== debian/changelog ===
python-pam (0.4.2-12ubuntu3) jaunty; urgency=low

  * Build for python2.6, include symlinks in the package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Feb 2009 18:23:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,8 @@
 
 	set -e; \
 	for python in $(PYVERS); do \
-		$$python setup.py install --root=debian/python-pam; \
-		$$python-dbg setup.py install --root=debian/python-pam-dbg; \
+		$$python setup.py install --root=debian/python-pam --install-layout=deb; \
+		$$python-dbg setup.py install --root=debian/python-pam-dbg --install-layout=deb; \
 	done
 	find debian/python-pam-dbg ! -type d ! -name '*_d.so' | xargs rm -f
 
@@ -56,7 +56,7 @@
 	dh_compress -a
 	dh_fixperms -a
 	#dh_pycentral is needed to set the dependency on python
-	dh_pycentral -a
+	DH_PYCENTRAL=include-links dh_pycentral -a
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
